Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.io
Class CloseShieldInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.james.mime4j.io.CloseShieldInputStream

All Implemented Interfaces:
  java.io.Closeable

Deprecated. This class will be removed in 0.6 release

    public class CloseShieldInputStream

extends java.io.FilterInputStream

InputStream that shields its underlying input stream from being closed.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CloseShieldInputStream(java.io.InputStream is)` Deprecated.

Method Summary
`int` | `available()` Deprecated.
`void` | `close()` Deprecated. Set the underlying InputStream to null
`java.io.InputStream` | `getUnderlyingStream()` Deprecated.
`void` | `mark(int readlimit)` Deprecated.
`boolean` | `markSupported()` Deprecated.
`int` | `read()` Deprecated.
`int` | `read(byte[] b)` Deprecated.
`int` | `read(byte[] b, int off, int len)` Deprecated.
`void` | `reset()` Deprecated.
`long` | `skip(long n)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseShieldInputStream

    public CloseShieldInputStream(java.io.InputStream is)

  Deprecated.

Method Detail

### getUnderlyingStream

    public java.io.InputStream getUnderlyingStream()

  Deprecated.

### read

    public int read()
             throws java.io.IOException

  Deprecated.
  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `InputStream.read()`

### available

    public int available()
                  throws java.io.IOException

  Deprecated.
  Overrides:
    `available` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `InputStream.available()`

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Set the underlying InputStream to null

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Deprecated.
  Overrides:
    `reset` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FilterInputStream.reset()`

### markSupported

    public boolean markSupported()

  Deprecated.
  Overrides:
    `markSupported` in class `java.io.FilterInputStream`
  See Also:
    `FilterInputStream.markSupported()`

### mark

    public void mark(int readlimit)

  Deprecated.
  Overrides:
    `mark` in class `java.io.FilterInputStream`
  See Also:
    `FilterInputStream.mark(int)`

### skip

    public long skip(long n)
              throws java.io.IOException

  Deprecated.
  Overrides:
    `skip` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FilterInputStream.skip(long)`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Deprecated.
  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FilterInputStream.read(byte[])`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Deprecated.
  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `FilterInputStream.read(byte[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.